package com.ssm.config;

import org.springframework.beans.factory.annotation.Value;

//@Component
//@PropertySource("classpath:aes.properties")
//@PropertySource("classpath:./config/aes.properties")
//@ConfigurationProperties(prefix = "aes")
public class AESConfig {
    public static String IV;
    public static String KEY;

    public String getIv() {
        return IV;
    }
    @Value("${aes.iv}")
    public void setIv(String iv) {
        this.IV = iv;
    }

    public String getKEY() {
        return KEY;
    }

    @Value("${aes.key}")
    public void setKEY(String key) {
        AESConfig.KEY = key;
    }
}
